
precision mediump float;
varying vec2 varyTexCoord;
uniform sampler2D texture;
//uniform sampler2D levelSetTex;

void main()
{
	//gl_FragColor = texture2D(texture, varyTexCoord);
/*
  vec2 onePixel = vec2(1.0 / 1280.0, 1.0 / 640.0);
 
  // 3
  vec2 texCoord = varyTexCoord;
 
  // 4
  vec4 color;
  color.rgb = vec3(0.5);
  color -= texture2D(texture, texCoord - onePixel) * 5.0;
  color += texture2D(texture, texCoord + onePixel) * 5.0;
  // 5
  color.rgb = vec3((color.r + color.g + color.b) / 3.0);
  gl_FragColor = vec4(color.rgb, 1);// * texture2D(texture, varyTexCoord);
  
 */
  
  float phi = texture2D(texture, varyTexCoord).r;
  phi = (phi - 0.5) * 10.0;
  //phi = phi - 1.0;

  if(phi > 0.0)
  {
	gl_FragColor = vec4(1.0 - phi * 0.2, 0, 0, 1.0);
  }
  else
  {
	gl_FragColor = vec4(0.0, 0, 1.0 + phi * 0.2, 1.0);
  }
  
  //gl_FragColor = (phi <= 1.0 && phi >= - 1.0) ? vec4(0.0, 0.0, 1.0, 1.0) : vec4(0.0, 0.0, 0.0, 1.0);
  if(phi <= 0.1 && phi >= - 0.1) gl_FragColor.rgb = vec3(1.0);
  if(phi <= 1.1 && phi >= 0.9) gl_FragColor.g = 1.0;
  if(phi <= -0.9 && phi >= -1.1) gl_FragColor.g = 1.0;
  
  //gl_FragColor.rgb = vec4(phi, 0, -phi, 1.0);
}
