attribute vec3 attribPosition;
attribute vec2 attribTexCoord;
varying vec2 varyTexCoord;
varying vec2 varyTexCoordBackgr;
varying vec2 varyTexCoordNormal0;
varying vec2 varyTexCoordNormal1;
varying vec2 varyTexCoordNormal2;

uniform vec2 uNormalMapScaleAndOffset;
uniform float uTime;
uniform vec4 uBackgrScaleAndOffset;

void main()
{
  gl_Position = vec4(attribPosition, 1.0);
  varyTexCoord = attribTexCoord;
  varyTexCoordBackgr = uBackgrScaleAndOffset.xy * attribTexCoord + uBackgrScaleAndOffset.zw;
  varyTexCoordNormal0 = uNormalMapScaleAndOffset.x * attribTexCoord + vec2(uNormalMapScaleAndOffset.y, 0.0);
  varyTexCoordNormal1 = uNormalMapScaleAndOffset.x * attribTexCoord + vec2(0.0, uNormalMapScaleAndOffset.y);
  varyTexCoordNormal2 = attribTexCoord/* * 1.0*/ + uTime * 0.2;
}